Package org.eclipse.search.ui

## Class SearchUI

- java.lang.Object
- - org.eclipse.search.ui.SearchUI

    @Deprecated
    public final class SearchUI
    extends Object

Deprecated.
Part of the old ('classic') search. Since 3.0 clients can create their own search result view pages and use `NewSearchUI` instead.
The central class for access to the Search Plug-in's User Interface. This class cannot be instantiated; all functionality is provided by static methods. Features provided:

- convenient access to the search result view of the active workbench window.

See Also:
  `ISearchResultView`
Restriction:
  This class is not intended to be instantiated by clients.

### Field Summary

Fields
`static String` `ACTION_SET_ID` Deprecated. Use `NewSearchUI.ACTION_SET_ID` instead.
`static String` `LINE` Deprecated. Line marker attribute (value `"line"`) The value of the marker attribute is the line which contains the text search match.
`static String` `PLUGIN_ID` Deprecated. Use `NewSearchUI.PLUGIN_ID` instead.
`static String` `POTENTIAL_MATCH` Deprecated. Potential match marker attribute (value `"potentialMatch"`).
`static String` `SEARCH_MARKER` Deprecated. Use `NewSearchUI.SEARCH_MARKER` instead.
`static String` `SEARCH_RESULT_VIEW_ID` Deprecated. Id of the Search result view (value `"org.eclipse.search.SearchResultView"`).
`static String` `SEARCH_VIEW_ID` Deprecated. Use `NewSearchUI.SEARCH_VIEW_ID` instead.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static boolean` `activateSearchResultView()` Deprecated. Use `NewSearchUI.activateSearchResultView()` instead.
`static boolean` `arePotentialMatchesIgnored()` Deprecated. Use `NewSearchUI.arePotentialMatchesIgnored()` instead.
`static String` `getDefaultPerspectiveId()` Deprecated. Use `NewSearchUI.getDefaultPerspectiveId()` instead.
`static Image` `getSearchMarkerImage()` Deprecated. Returns the shared search marker image.
`static ISearchResultView` `getSearchResultView()` Deprecated. Use `NewSearchUI.getSearchResultView()` instead.
`static void` `openSearchDialog​(IWorkbenchWindow window, String pageId)` Deprecated. Use `NewSearchUI.openSearchDialog(IWorkbenchWindow, String)` instead.
`static boolean` `reuseEditor()` Deprecated. Use `NewSearchUI.reuseEditor()` instead.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    @Deprecated
    public static final String PLUGIN_ID

Deprecated.
Use `NewSearchUI.PLUGIN_ID` instead.
Search Plug-in Id (value `"org.eclipse.search"`).

See Also:
  Constant Field Values

#### SEARCH_MARKER

    @Deprecated
    public static final String SEARCH_MARKER

Deprecated.
Use `NewSearchUI.SEARCH_MARKER` instead.
Search marker type (value `"org.eclipse.search.searchmarker"`).

See Also:
  `IMarker`, Constant Field Values

#### LINE

    public static final String LINE

Deprecated.
Line marker attribute (value `"line"`) The value of the marker attribute is the line which contains the text search match.

See Also:
  `IMarker.getAttribute(java.lang.String)`, Constant Field Values

#### POTENTIAL_MATCH

    public static final String POTENTIAL_MATCH

Deprecated.
Potential match marker attribute (value `"potentialMatch"`).

This optional marker attribute tells whether a marker is a potential or an exact match. The marker is considered an exact match if the attribute is missing.

Potential matches are shown with a different background color in the Search view. The color can be changed in the Search preferences.

Since:
  2.0
See Also:
  `IMarker.getAttribute(java.lang.String)`, Constant Field Values

#### SEARCH_RESULT_VIEW_ID

    public static final String SEARCH_RESULT_VIEW_ID

Deprecated.
Id of the Search result view (value `"org.eclipse.search.SearchResultView"`).

See Also:
  Constant Field Values

#### SEARCH_VIEW_ID

    @Deprecated
    public static final String SEARCH_VIEW_ID

Deprecated.
Use `NewSearchUI.SEARCH_VIEW_ID` instead.
Id of the new Search view (value `"org.eclipse.search.ui.views.SearchView"`).

See Also:
  Constant Field Values

#### ACTION_SET_ID

    @Deprecated
    public static final String ACTION_SET_ID

Deprecated.
Use `NewSearchUI.ACTION_SET_ID` instead.
Id of the Search action set (value `"org.eclipse.search.searchActionSet"`).

Since:
  2.0
See Also:
  Constant Field Values

### Method Detail

#### activateSearchResultView

    @Deprecated
    public static boolean activateSearchResultView()

Deprecated.
Use `NewSearchUI.activateSearchResultView()` instead.
Activates the search result view in the active page of the active workbench window. This call has no effect (but returns `true` if the search result view is already activated.

Returns:
  `true` if the search result view could be activated

#### openSearchDialog

    @Deprecated
    public static void openSearchDialog​(IWorkbenchWindow window,
                                        String pageId)

Deprecated.
Use `NewSearchUI.openSearchDialog(IWorkbenchWindow, String)` instead.
Opens the search dialog. If `pageId` is specified and a corresponding page is found then it is brought to top.

Parameters:
  `window` - the given window
  `pageId` - the page to select or `null` if the best fitting page should be selected
Since:
  2.0

#### getSearchResultView

    @Deprecated
    public static ISearchResultView getSearchResultView()

Deprecated.
Use `NewSearchUI.getSearchResultView()` instead.
Returns the search result view of the active page of the active workbench window.

Returns:
  the search result view or `null` if there is no active search result view

#### getSearchMarkerImage

    public static Image getSearchMarkerImage()

Deprecated.
Returns the shared search marker image. Normally, editors show this icon in their vertical ruler. This image is owned by the search UI plug-in and must not be disposed by clients.

Returns:
  the shared image

#### reuseEditor

    @Deprecated
    public static boolean reuseEditor()

Deprecated.
Use `NewSearchUI.reuseEditor()` instead.
Returns the preference whether editors should be reused when showing search results. The goto action can decide to use or ignore this preference.

Returns:
  `true` if editors should be reused for showing search results
Since:
  2.0

#### arePotentialMatchesIgnored

    @Deprecated
    public static boolean arePotentialMatchesIgnored()

Deprecated.
Use `NewSearchUI.arePotentialMatchesIgnored()` instead.
Returns the preference whether a search engine is allowed to report potential matches or not.

Search engines which can report inexact matches must respect this preference i.e. they should not report inexact matches if this method returns `true`

Returns:
  `true` if search engine must not report inexact matches
Since:
  2.1

#### getDefaultPerspectiveId

    @Deprecated
    public static String getDefaultPerspectiveId()

Deprecated.
Use `NewSearchUI.getDefaultPerspectiveId()` instead.
Returns the ID of the default perspective.

The perspective with this ID will be used to show the Search view. If no default perspective is set then the Search view will appear in the current perspective.

Returns:
  the ID of the default perspective `null` if no default perspective is set
Since:
  2.1